Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.time
Class Tasking

    java.lang.Object
      |
      +--quicktime.app.time.Tasking

All Implemented Interfaces:
  Taskable

Direct Known Subclasses:
  PresentationDrawer, QTPlayer, SGDrawer, TaskAllMovies

public abstract class Tasking
extends java.lang.Object
implements Taskable

This class implements most of the methods of the Taskable interface, providing an application a default implementation of this. The default Tasker for this object can be set by an application and doing so will move this Taskable object to that new TaskThread object and consequent calls to startTasking() will use the application set TaskThread.

Fields inherited from interface quicktime.app.time.Taskable
`tasker`

Constructor Summary
`Tasking()`

Method Summary
`void` | `addedToTasker(TaskThread t)` This is called by a TaskThread when an object is added to a TaskThread.
`TaskThread` | `getDefaultTasker()` Returns the default TaskThread that is used when this object is tasked.
`TaskThread` | `getTasker()` This should return the task thread that the Taskable object is currently being tasked by or null if not being tasked.
`void` | `removedFromTasker()` This is called by a TaskThread when an object is removed from a TaskThread.
`void` | `setDefaultTasker(TaskThread tasker)` This will set the default TaskThread that will be used by this object when the startTasking method is called.
`void` | `startTasking()` This will start tasking the Tasking object by adding this object to the currently set default TaskThread and ensuring that this TaskThread object is started.
`void` | `stopTasking()` This will stop tasking the Tasking object by removing it from its existing TaskThread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface quicktime.app.time.Taskable
`task`

Constructor Detail

### Tasking

    public Tasking()

Method Detail

### removedFromTasker

    public void removedFromTasker()

  This is called by a TaskThread when an object is removed from a TaskThread. It is removedFrom the TaskThread that it was added to and a Taskable can only be in one TaskThread object.
  Specified by:
    `removedFromTasker` in interface `Taskable`
  Parameters:
    `t` - the TaskThread

### addedToTasker

    public void addedToTasker(TaskThread t)

  This is called by a TaskThread when an object is added to a TaskThread. The parameter is the TaskThread that the object is being added to.
  Specified by:
    `addedToTasker` in interface `Taskable`
  Parameters:
    `t` - the TaskThread

### getTasker

    public TaskThread getTasker()

  This should return the task thread that the Taskable object is currently being tasked by or null if not being tasked.
  Specified by:
    `getTasker` in interface `Taskable`
  Returns:
    a TaskThread object or null.

### startTasking

    public void startTasking()

  This will start tasking the Tasking object by adding this object to the currently set default TaskThread and ensuring that this TaskThread object is started.
  Specified by:
    `startTasking` in interface `Taskable`

### stopTasking

    public void stopTasking()

  This will stop tasking the Tasking object by removing it from its existing TaskThread.
  Specified by:
    `stopTasking` in interface `Taskable`

### setDefaultTasker

    public void setDefaultTasker(TaskThread tasker)

  This will set the default TaskThread that will be used by this object when the startTasking method is called. If the object is currently attached to a TaskThread this will remove it from that Thread and add it to the incoming TaskThread. It won't start the incoming TaskThread
  Parameters:
    `tasker` - the TaskThread to use for tasking

### getDefaultTasker

    public TaskThread getDefaultTasker()

  Returns the default TaskThread that is used when this object is tasked.
  Returns:
    a TaskThread object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD